Subject: Re: bug#27584: 26.0.50; alist-get: Add optional arg TESTFN

From: Tino Calancha <[email-masked]>
Date: Fri, 14 Jul 2017 14:19:04 +0900 (JST)

On Wed, 12 Jul 2017, Michael Heerdegen wrote:

> Tino Calancha <[email-masked]> writes:
>
>> -@defun alist-get key alist &optional default remove
>> [...]
>> -This is a generalized variable (@pxref{Generalized Variables}) that
>> +The return value is a generalized variable (@pxref{Generalized
>
> I don't think this is good wording.  When `alist-get' returns 1, do we
> really want to call `1' a generalized variable?
>
> What is settable is the place (expression), so I think we instead call
> the expression of the function call "generalized variable".
thank you, agreed.
I will keep the original:
'This is a generalized variable ...'
instead of:
'The return value is a ...'

I will push it in a few days if there are no issues to address.
Tino